Openi DeveloperDeveloper

Rename a dataset or add optional fields

PATCH
/v1/datasets/{dataset_id}
AuthorizationBearer <token>

In: header

Path Parameters

dataset_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Match^[a-z0-9][a-z0-9_-]*$
Length1 <= length <= 100
add_fields?array<>|

New optional fields. Existing fields cannot be changed or removed.

Response Body

application/json

application/problem+json

curl -X PATCH "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "kind": "source",  "source_job_id": "string",  "expires_at": "2019-08-24T14:15:22Z",  "external_id": "string",  "record_count": -9007199254740991,  "fields": [    {      "name": "string",      "type": "string",      "scale": 0,      "required": true,      "normalize": [        "trim"      ],      "index": true    }  ],  "computed": [    {      "name": "string",      "from": "string",      "normalize": [        "trim"      ],      "index": true    }  ],  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}